> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aryn.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set Readonly Docset

> Sets the read-only status of the DocSet.



## OpenAPI

````yaml api-reference/endpoint/platform/openapi.json post /v1/storage/docsets/{docset_id}/readonly/{value}
openapi: 3.1.0
info:
  title: Aryn Platform API
  version: 0.1.0
servers:
  - url: https://api.aryn.cloud
    description: US Region
  - url: https://api.aryn.ai
    description: US Region
  - url: https://api.us.aryn.cloud
    description: US Region
  - url: https://api.us.aryn.ai
    description: US Region
security: []
paths:
  /v1/storage/docsets/{docset_id}/readonly/{value}:
    post:
      tags:
        - DocSet
      summary: Set Readonly Docset
      description: Sets the read-only status of the DocSet.
      operationId: set_readonly_docset_v1_storage_docsets__docset_id__readonly__value__post
      parameters:
        - name: docset_id
          in: path
          required: true
          schema:
            type: string
            description: The unique identifier of the DocSet.
            title: Docset Id
          description: The unique identifier of the DocSet.
        - name: value
          in: path
          required: true
          schema:
            type: string
            title: Value
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocSetMetadata'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    DocSetMetadata:
      properties:
        account_id:
          type: string
          title: Account Id
          description: The account id containing the DocSet.
        docset_id:
          type: string
          title: Docset Id
          description: The unique id for the DocSet.
        name:
          type: string
          title: Name
          description: The name of the DocSet.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The creation time of this DocSet.
        readonly:
          type: boolean
          title: Readonly
          description: Whether the DocSet is read-only.
        properties:
          anyOf:
            - additionalProperties:
                $ref: '#/components/schemas/JsonValue'
              type: object
            - type: 'null'
          title: Properties
          description: Additional properties for the DocSet.
        size:
          anyOf:
            - type: integer
            - type: 'null'
          title: Size
          description: The number of documents in the DocSet.
        schema:
          anyOf:
            - $ref: '#/components/schemas/Schema-Output'
            - type: 'null'
        prompts:
          additionalProperties:
            type: string
          propertyNames:
            $ref: '#/components/schemas/PromptType'
          type: object
          title: Prompts
          description: The prompts associated with this DocSet.
          default: {}
      type: object
      required:
        - account_id
        - docset_id
        - name
        - created_at
        - readonly
      title: DocSetMetadata
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JsonValue: {}
    Schema-Output:
      properties:
        properties:
          items:
            $ref: '#/components/schemas/SchemaProperty-Output'
          type: array
          title: Properties
          description: A list of properties belong to this schema.
      type: object
      required:
        - properties
      title: Schema
      description: Represents the schema of a DocSet.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SchemaProperty-Output:
      properties:
        name:
          type: string
          title: Name
          description: The name of the property.
        property_type:
          type: string
          title: Property Type
          description: The type of the field.
        default:
          anyOf:
            - {}
            - type: 'null'
          title: Default
          description: The default value for the property.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: A natural language description of the property.
        examples:
          anyOf:
            - items: {}
              type: array
            - type: 'null'
          title: Examples
          description: A list of example values for the property.
      type: object
      required:
        - name
        - property_type
      title: SchemaProperty
      description: Represents a field in a DocSet schema.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````